summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/get_mp3_source.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/contrib/scripts/get_mp3_source.sh b/contrib/scripts/get_mp3_source.sh
index 860e2bc02..6d984659d 100755
--- a/contrib/scripts/get_mp3_source.sh
+++ b/contrib/scripts/get_mp3_source.sh
@@ -7,8 +7,8 @@ if [ -f addons/mp3/mpg123.h ]; then
echo "***"
# Manually patch interface.c if not done yet.
- if ! grep -q WRAP_LIBC_MALLOC addons/mp3/interface.c; then
- sed -i -e '/#include "asterisk.h"/i#define WRAP_LIBC_MALLOC' \
+ if ! grep -q ASTMM_LIBC addons/mp3/interface.c; then
+ sed -i -e '/#include "asterisk.h"/i#define ASTMM_LIBC ASTMM_REDIRECT' \
addons/mp3/interface.c
fi
@@ -18,8 +18,8 @@ fi
svn export http://svn.digium.com/svn/thirdparty/mp3/trunk addons/mp3 $@
# Manually patch interface.c if not done yet.
-if ! grep -q WRAP_LIBC_MALLOC addons/mp3/interface.c; then
- sed -i -e '/#include "asterisk.h"/i#define WRAP_LIBC_MALLOC' \
+if ! grep -q ASTMM_LIBC addons/mp3/interface.c; then
+ sed -i -e '/#include "asterisk.h"/i#define ASTMM_LIBC ASTMM_REDIRECT' \
addons/mp3/interface.c
fi